<article>
  <% if notice %>
    <aside id="notice"><%=notice%></aside>
  <% end %>
  <table>
    <h2>Your Cart</h2>
    <% @cart.line_items.each do |line_item|%>
      <tr>
        <td class= "quantity"><%= line_item.quantity%></td>
        <td class="title"><%=line_item.book.title%></td>
        <td class="price"><%=number_to_currency(line_item.total_price)%></td>
      </tr>
    <%end%>
    <tfoot>
      <tr>
        <th colspan="2">Total:</th>
        <td class="price"><%=number_to_currency(@cart.total_price)%></td>
      </tr>
    </tfoot>
  </table>
  <ul>
    <% @cart.line_items.each do |item|%>
      <li><%= item.quantity%> &times; <%= item.book.title%> </li>
    <%end%>
  </ul>
  <%= button_to "Empty cart",@cart, method: :delete, data: {confirm: "Are you sure?"}%>
</article>
